package com.brilliance.isc.bo.model;

import com.brilliance.mda.runtime.mda.util.Decimals;
import com.brilliance.isc.bo.Finamt;
import com.brilliance.isc.common.vo.AbstractCommonVo;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

import java.math.BigDecimal;

@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class Fincbs extends AbstractCommonVo {

    private Finamt cbb;

    private Finamt cbe;

    //Calculate Flag
    private String calflg;

    //Total Interest
    private BigDecimal totint = Decimals.ZERO_SCALE3;

    @Override
    public void reset() {
        if (cbb == null) {
            cbb = new Finamt();
        }
        if (cbe == null) {
            cbe = new Finamt();
        }

    }
}
